/* Licence GNU GPL Arnaud Champollion */

@font-face {
    font-family: 'AA Cursive';
    src: url('polices/AAcursive-Bold_2.11.ttf') format('truetype');
}

  @font-face {
    font-family: 'OpenDyslexic';
    src: url('polices/OpenDyslexic-Regular.otf') format('truetype');
}

html {
    user-select: none;
    height: 100%;
    background: linear-gradient(to bottom, #c6fec8 0%,#ffffff 100%);
    background-repeat: no-repeat;

}

body {
    text-align: center;
    margin: 0;
    min-height: 100%;
    font-family: Arial, Helvetica, sans-serif;    
    overflow: auto;
}

.gras {
  font-weight: bold;
  text-decoration: underline;
  background-color: yellow;
}

.cliquable:hover {
    cursor: url(images/clique.png), auto;
}


#phrase button {
    border-radius: 10px;
    background-color: rgba(255,255,255,0.5);
}


#accueil {
  margin-left: 80px;
  margin-right: 20px;
  width: calc(100% - 100px);
  user-select:text;
}

#input_phrase {
    margin-top: 20px;
    font-size: 20px;
    width: calc(100% - 8px);
    text-align: center;
    min-height: 50px;
    border-radius: 5px;
}

#bouton_phrase {
    margin-top: 10px;
    font-size: 40px;
    padding : 10px;

}

#texte_accueil {
  margin-top: 10px;
  border-radius: 10px;
  z-index: 99999;
  text-align: left;
}

.accueil_item {
  border: 1px black solid;
  border-radius: 5px;
  margin-bottom: 10px;
  padding: 10px;
  background-color: rgba(255,255,255,0.8);
}

.accueil_item p {
  margin-top: 10px;
  margin-bottom: 10px;
}

.accueil_item button {
  font-size: 20px;
  background-color: rgb(203, 237, 237);
}

.exemple {
  font-style: italic;
  color: green;
}

#codim {
  font-weight: bold;
}

#en_savoir_plus {
  padding: 10px;
}

#texte_accueil_cache {
  display: none;
}

#texte_accueil p {
  font-size: 20px;
}


#phrase {
    display: none;
    position: absolute;
    height: 40%;
    width: 100%;
    margin:0px;
    padding-top: 50px;
    top: 0px;
    left: 0px;
    text-align: center;
    background: transparent;
    cursor: url(images/pointe.png), auto;

}

#reponse {
    text-align: left;
    padding-left: 20px;
    padding-right: 20px;
    vertical-align: middle;
    cursor: url(images/pointe.png), auto;

}

#etiquettes {
    display: none;
    position: absolute;
    left: 0px;
    height: 60%;
    width: 100%;
    margin:0px;
    bottom: 0px;
    cursor: url(images/pointe.png), auto;

}


.etiquette {
    position: absolute;
    width: 15%;
    font-size: 80px;
    background-color: rgb(255, 255, 255);
    overflow: hidden;
    user-select: none;
    padding-top: 15px;
    padding-bottom: 15px;
    border: 1px solid #000000;
    cursor: url(images/grab.png), auto;    
}

.partie_texte {
    padding-top: 15px;
    position: relative;
    top: 15px;
    background-color: rgba(255,255,255,0.8);
}

.dragged {
    box-shadow: 12px 9px 5px 0px rgba(0,0,0,0.41);
    -webkit-box-shadow: 12px 9px 5px 0px rgba(0,0,0,0.41);
    cursor: url(images/grabbing.png), auto;    

}





.emplacement {
    display: inline-block;
    width: calc(19% - 2px);
    margin-left:0.5%;
    margin-right: 0.5%;
    height: 50px;
    margin-top: 20px;
    font-size: 80px;
    background-color: rgb(210, 229, 245);
    border: 1px solid #000000;
    border-radius: 8px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
    overflow: hidden;
    user-select: none;
    padding-top: 15px;
    padding-bottom: 15px;
    text-align: center;
    vertical-align: middle;
}

.etiquette:hover, .dragged {
    background-color: rgb(245, 242, 210);
    
}

.occupe {
    background-color: rgb(255, 255, 255);
}

#bouton_menu {
    position: fixed;
    width: 50px;
    height: 50px;
    bottom: 15px;
    left: 15px;
    background-image: url(images/menu.svg);
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: 5px;
    background-color: transparent;
    border: 0;
    z-index: 100000;
  }

  #bouton_check {
    display: none;
    position: fixed;
    width: 50px;
    height: 50px;
    bottom: 15px;
    right: 15px;
    background-image: url(images/ok.svg);
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: 5px;
    background-color: transparent;
    border: 0;
    z-index: 99998;
  }

  #exercice_suivant{
    display: none;
    position: fixed;
    width: 50px;
    height: 50px;
    bottom: 85px;
    right: 15px;
    background-image: url(images/suivant.svg);
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: 5px;
    background-color: transparent;
    border: 0;
    z-index: 99998;
  }

  #bouton_entendre_phrase {
    display: none;
    position: fixed;
    width: 50px;
    height: 50px;
    top: 15px;
    right: 15px;
    background-image: url(images/entendre.svg);
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: 5px;
    background-color: transparent;
    border: 0;
    z-index: 99998;
  }

  #bouton_choix_langue {
    position: fixed;
    width: 50px;
    height: 50px;
    top: 20px;
    left: 15px;
    background-image: url(images/fr.svg);
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: 5px;
    background-color: transparent;
    border: 0;
    z-index: 99997;
  }
  #bouton_choix_lanhue::after{content:'>'}

  #mini_haut_parleur {
    position: fixed;
    width: 30px;
    height: 30px;
    top: 80px;
    left: 30px;
    border: 0;
    z-index: 99998;
  }

#menu_choix_langues {
  position: absolute;
  top: 80px;
  left: 15px;
  width: 50px;
  max-height: 0px;
  text-align: center;
  z-index: 999999;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 10px;
  transition: all ease 0.5s;
  overflow: hidden;
}

  .bouton_choix_langue {
    width: 50px;
    height: 50px;
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: 5px;
    background-color: transparent;
    border: 0;
    z-index: 99997;
  }

  #choix_fr {background-image: url(images/fr.svg);}
  #choix_en {background-image: url(images/en.svg);}
  #choix_de {background-image: url(images/de.svg);}
  #choix_es {background-image: url(images/es.svg);}
  #choix_nl {background-image: url(images/nl.svg);}
  #choix_it {background-image: url(images/it.svg);}


  #bouton_consigne {
    display: none;
    position: fixed;
    width: 50px;
    height: 50px;
    top: 15px;
    left: 15px;
    background-image: url(images/question.svg);
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: 5px;
    background-color: transparent;
    border: 0;
    z-index: 99998;
  }


  #consigne {
    display: none;
    position: fixed;
    top: 80px;
    left:15px;
    max-width: calc(100% - 80px);
    z-index: 99998;
    padding: 20px;
    background-color: rgb(227, 238, 238);
    border-radius: 25px;
    text-align: left;
    border: 5px solid rgb(30, 90, 136);
  }

  #bouton_entendre_consigne {
    float: left;
    width: 50px;
    height: 50px;
    margin-right: 20px;
    background-image: url(images/consigne.svg);
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: 5px;
    background-color: transparent;
    border: 0;
    z-index: 99998;
  }

  #speaker {
    display: none;
    position: fixed;
    width: 50px;
    height: 50px;
    top: 20px;
    left: calc(50% - 25px);    
    background-image: url(images/speaker.svg);
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: 5px;
    background-color: transparent;
    border: 0;
    z-index: 99998;
 }

  #menu {
    display: none;
    position: absolute;
    z-index: 99999;
    bottom: 20px;
    left: 20px;
    padding: 20px 20px 60px 20px;
    background-color: rgb(227, 238, 238);
    border-radius: 25px;
    background-image: url(images/logo.svg);
    background-repeat: no-repeat;
    background-position: bottom right;
    background-size: 50px;
    text-align: left;
    border: 5px solid rgb(30, 90, 136);
  }

  #menu button {
    font-size: 20px;
  }

  #titre_menu {
    font-size: 25px;
    font-weight: bold;
    text-align: center;
  }

  #zone_partage, #apropos {
    display: none;
    position: fixed;
    width: calc(100% - 140px);
    height: calc(100% - 150px);
    left: 20px;
    top: 20px;
    padding : 50px;
    background-color: rgb(211, 233, 250);
    border-radius: 15px;
    border: 5px solid rgb(255, 255, 255);
    z-index: 99999;
    overflow-y: auto;
  }

#apropos p {
    text-align: left;
}

#zone_partage {
    text-align: left;;
}

#zone_lien {
    text-align: left;
    padding: 10px;
    background-color: white;
    margin-top: 20px;
    overflow-wrap:unset;
    user-select:text;  
}

#zone_partage button {
    font-size: 20px;
}

.bouton_fermer {
    position: fixed;
    top: 30px;
    right: 30px;
    width: 50px;
    height: 50px;
    background-color: transparent;
    background-image: url(images/bouton_fermer.svg);
    background-size: contain;
    background-repeat: no-repeat;
    border: none;
}

@media (orientation: portrait) {
    .etiquette {
        width: 25%;
    }
    
    .emplacement {
        width: calc(32% - 2px);
    }
}

.etiquette_a_decouper{
    padding: 15px;
    border: 1px solid black;
}